Subject: bug#52004: dired-rename-subdir-2: Expected to find ‘/tmp/a/./’ in headerline of /tmp/a/

From: Lars Ingebrigtsen <[email-masked]>
Date: Sun, 21 Nov 2021 09:36:14 +0100

積丹尼 Dan Jacobson <[email-masked]> writes:

> $ mkdir /tmp/a /tmp/b
> $ emacs -Q /tmp/a
> Put the cursor on the "." line, and hit R and try and move it to /tmp/b .
> Overwrite ‘/tmp/b’? [Type yn!q or C-h] y
> dired-rename-subdir-2: Expected to find ‘/tmp/a/./’ in headerline of /tmp/a/

I can't reproduce this in Emacs 29, so I guess it's been fixed since
then.

However, hitting `g' in the directory after the operation gives me an
error about default-directory no longer existing (which is correct), but
this should be handled better.

This is a duplicate of bug#30578, though, so I'm merging these bugs.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no